<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Entities/Grenade_Base/M18SmokeGrenade_ColorBase.c File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('de/d78/_m18_smoke_grenade___color_base_8c.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle"><div class="title">M18SmokeGrenade_ColorBase.c File Reference</div></div>
</div><!--header-->
<div class="contents">

<p><a href="../../de/d78/_m18_smoke_grenade___color_base_8c_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="nested-classes" name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d4c/class_smoke_grenade_base.html">SmokeGrenadeBase</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d64/class_m18_smoke_grenade___red.html">M18SmokeGrenade_Red</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d62/class_m18_smoke_grenade___color_base.html">M18SmokeGrenade_ColorBase</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ae24fb437a59ae0ea16b9f99be7dc10b5"><td class="memItemLeft" align="right" valign="top">class <a class="el" href="../../d1/d62/class_m18_smoke_grenade___color_base.html">M18SmokeGrenade_ColorBase</a> extends <a class="el" href="../../d3/d4c/class_smoke_grenade_base.html">SmokeGrenadeBase</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d78/_m18_smoke_grenade___color_base_8c.html#ae24fb437a59ae0ea16b9f99be7dc10b5">M18SmokeGrenade_Red</a> ()</td></tr>
<tr class="separator:ae24fb437a59ae0ea16b9f99be7dc10b5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac5cbe310eff7b8898f39754a1b824f3e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d78/_m18_smoke_grenade___color_base_8c.html#ac5cbe310eff7b8898f39754a1b824f3e">M18SmokeGrenade_ColorBase</a> ()</td></tr>
<tr class="separator:ac5cbe310eff7b8898f39754a1b824f3e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af627c47826a575d7b8b21f5f8f47da37"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d78/_m18_smoke_grenade___color_base_8c.html#af627c47826a575d7b8b21f5f8f47da37">~M18SmokeGrenade_ColorBase</a> ()</td></tr>
<tr class="separator:af627c47826a575d7b8b21f5f8f47da37"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aabaf00bd6eaa9549f1ff0f33745a9bda"><td class="memItemLeft" align="right" valign="top">class M18SmokeGrenade_Red_Contaminated extends <a class="el" href="../../d0/d64/class_m18_smoke_grenade___red.html">M18SmokeGrenade_Red</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d78/_m18_smoke_grenade___color_base_8c.html#aabaf00bd6eaa9549f1ff0f33745a9bda">M18SmokeGrenade_Green</a> ()</td></tr>
<tr class="separator:aabaf00bd6eaa9549f1ff0f33745a9bda"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1c7730d1ae639ca30356deaa17482615"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d78/_m18_smoke_grenade___color_base_8c.html#a1c7730d1ae639ca30356deaa17482615">OnWorkStop</a> ()</td></tr>
<tr class="separator:a1c7730d1ae639ca30356deaa17482615"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afffa96e214789a5eb952b013410b7ddb"><td class="memItemLeft" align="right" valign="top">class <a class="el" href="../../de/d78/_m18_smoke_grenade___color_base_8c.html#ad477755cd11a69420e16d48568dee807">M18SmokeGrenade_Yellow</a> extends <a class="el" href="../../d1/d62/class_m18_smoke_grenade___color_base.html">M18SmokeGrenade_ColorBase</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d78/_m18_smoke_grenade___color_base_8c.html#afffa96e214789a5eb952b013410b7ddb">M18SmokeGrenade_Purple</a> ()</td></tr>
<tr class="separator:afffa96e214789a5eb952b013410b7ddb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad477755cd11a69420e16d48568dee807"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d78/_m18_smoke_grenade___color_base_8c.html#ad477755cd11a69420e16d48568dee807">M18SmokeGrenade_Yellow</a> ()</td></tr>
<tr class="separator:ad477755cd11a69420e16d48568dee807"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="var-members" name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a0536d9d2d4bcc82ed8218de56f8ba51a"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d78/_m18_smoke_grenade___color_base_8c.html#a0536d9d2d4bcc82ed8218de56f8ba51a">SOUND_SMOKE_START</a> = &quot;SmokegGrenades_M18_start_loop_SoundSet&quot;</td></tr>
<tr class="separator:a0536d9d2d4bcc82ed8218de56f8ba51a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af309687aa59c36336c11374026a370db"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d78/_m18_smoke_grenade___color_base_8c.html#af309687aa59c36336c11374026a370db">SOUND_SMOKE_LOOP</a> = &quot;SmokegGrenades_M18_active_loop_SoundSet&quot;</td></tr>
<tr class="separator:af309687aa59c36336c11374026a370db"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4d957136441b41d40a618ea26916540c"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d78/_m18_smoke_grenade___color_base_8c.html#a4d957136441b41d40a618ea26916540c">SOUND_SMOKE_END</a> = &quot;SmokegGrenades_M18_end_loop_SoundSet&quot;</td></tr>
<tr class="separator:a4d957136441b41d40a618ea26916540c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="ac5cbe310eff7b8898f39754a1b824f3e" name="ac5cbe310eff7b8898f39754a1b824f3e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac5cbe310eff7b8898f39754a1b824f3e">&#9670;&#160;</a></span>M18SmokeGrenade_ColorBase()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void M18SmokeGrenade_Red::M18SmokeGrenade_ColorBase </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d78/_m18_smoke_grenade___color_base_8c_source.html#l00026">26</a> of file <a class="el" href="../../de/d78/_m18_smoke_grenade___color_base_8c_source.html">M18SmokeGrenade_ColorBase.c</a>.</p>

</div>
</div>
<a id="aabaf00bd6eaa9549f1ff0f33745a9bda" name="aabaf00bd6eaa9549f1ff0f33745a9bda"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aabaf00bd6eaa9549f1ff0f33745a9bda">&#9670;&#160;</a></span>M18SmokeGrenade_Green()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">class M18SmokeGrenade_Red_Contaminated extends <a class="el" href="../../d0/d64/class_m18_smoke_grenade___red.html">M18SmokeGrenade_Red</a> M18SmokeGrenade_Green </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d78/_m18_smoke_grenade___color_base_8c_source.html#l00030">30</a> of file <a class="el" href="../../de/d78/_m18_smoke_grenade___color_base_8c_source.html">M18SmokeGrenade_ColorBase.c</a>.</p>

</div>
</div>
<a id="afffa96e214789a5eb952b013410b7ddb" name="afffa96e214789a5eb952b013410b7ddb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afffa96e214789a5eb952b013410b7ddb">&#9670;&#160;</a></span>M18SmokeGrenade_Purple()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">class <a class="el" href="../../de/d78/_m18_smoke_grenade___color_base_8c.html#ad477755cd11a69420e16d48568dee807">M18SmokeGrenade_Yellow</a> extends <a class="el" href="../../d1/d62/class_m18_smoke_grenade___color_base.html">M18SmokeGrenade_ColorBase</a> M18SmokeGrenade_Purple </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d78/_m18_smoke_grenade___color_base_8c_source.html#l00051">51</a> of file <a class="el" href="../../de/d78/_m18_smoke_grenade___color_base_8c_source.html">M18SmokeGrenade_ColorBase.c</a>.</p>

</div>
</div>
<a id="ae24fb437a59ae0ea16b9f99be7dc10b5" name="ae24fb437a59ae0ea16b9f99be7dc10b5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae24fb437a59ae0ea16b9f99be7dc10b5">&#9670;&#160;</a></span>M18SmokeGrenade_Red()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">class <a class="el" href="../../d1/d62/class_m18_smoke_grenade___color_base.html">M18SmokeGrenade_ColorBase</a> extends <a class="el" href="../../d3/d4c/class_smoke_grenade_base.html">SmokeGrenadeBase</a> <a class="el" href="../../d0/d64/class_m18_smoke_grenade___red.html">M18SmokeGrenade_Red</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d78/_m18_smoke_grenade___color_base_8c_source.html#l00001">1</a> of file <a class="el" href="../../de/d78/_m18_smoke_grenade___color_base_8c_source.html">M18SmokeGrenade_ColorBase.c</a>.</p>

</div>
</div>
<a id="ad477755cd11a69420e16d48568dee807" name="ad477755cd11a69420e16d48568dee807"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad477755cd11a69420e16d48568dee807">&#9670;&#160;</a></span>M18SmokeGrenade_Yellow()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void M18SmokeGrenade_Purple::M18SmokeGrenade_Yellow </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d78/_m18_smoke_grenade___color_base_8c_source.html#l00064">64</a> of file <a class="el" href="../../de/d78/_m18_smoke_grenade___color_base_8c_source.html">M18SmokeGrenade_ColorBase.c</a>.</p>

</div>
</div>
<a id="a1c7730d1ae639ca30356deaa17482615" name="a1c7730d1ae639ca30356deaa17482615"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1c7730d1ae639ca30356deaa17482615">&#9670;&#160;</a></span>OnWorkStop()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override void M18SmokeGrenade_Green::OnWorkStop </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d78/_m18_smoke_grenade___color_base_8c_source.html#l00044">44</a> of file <a class="el" href="../../de/d78/_m18_smoke_grenade___color_base_8c_source.html">M18SmokeGrenade_ColorBase.c</a>.</p>

</div>
</div>
<a id="af627c47826a575d7b8b21f5f8f47da37" name="af627c47826a575d7b8b21f5f8f47da37"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af627c47826a575d7b8b21f5f8f47da37">&#9670;&#160;</a></span>~M18SmokeGrenade_ColorBase()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void M18SmokeGrenade_Red::~M18SmokeGrenade_ColorBase </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d78/_m18_smoke_grenade___color_base_8c_source.html#l00035">35</a> of file <a class="el" href="../../de/d78/_m18_smoke_grenade___color_base_8c_source.html">M18SmokeGrenade_ColorBase.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="a4d957136441b41d40a618ea26916540c" name="a4d957136441b41d40a618ea26916540c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4d957136441b41d40a618ea26916540c">&#9670;&#160;</a></span>SOUND_SMOKE_END</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> SOUND_SMOKE_END = &quot;SmokegGrenades_M18_end_loop_SoundSet&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d78/_m18_smoke_grenade___color_base_8c_source.html#l00024">24</a> of file <a class="el" href="../../de/d78/_m18_smoke_grenade___color_base_8c_source.html">M18SmokeGrenade_ColorBase.c</a>.</p>

</div>
</div>
<a id="af309687aa59c36336c11374026a370db" name="af309687aa59c36336c11374026a370db"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af309687aa59c36336c11374026a370db">&#9670;&#160;</a></span>SOUND_SMOKE_LOOP</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> SOUND_SMOKE_LOOP = &quot;SmokegGrenades_M18_active_loop_SoundSet&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d78/_m18_smoke_grenade___color_base_8c_source.html#l00023">23</a> of file <a class="el" href="../../de/d78/_m18_smoke_grenade___color_base_8c_source.html">M18SmokeGrenade_ColorBase.c</a>.</p>

</div>
</div>
<a id="a0536d9d2d4bcc82ed8218de56f8ba51a" name="a0536d9d2d4bcc82ed8218de56f8ba51a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0536d9d2d4bcc82ed8218de56f8ba51a">&#9670;&#160;</a></span>SOUND_SMOKE_START</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> SOUND_SMOKE_START = &quot;SmokegGrenades_M18_start_loop_SoundSet&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d78/_m18_smoke_grenade___color_base_8c_source.html#l00022">22</a> of file <a class="el" href="../../de/d78/_m18_smoke_grenade___color_base_8c_source.html">M18SmokeGrenade_ColorBase.c</a>.</p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_d92b8e0605e989b70f343f78d41d5ad9.html">Entities</a></li><li class="navelem"><a class="el" href="../../dir_806847d5bba5024497719a5baaa9b4a0.html">Grenade_Base</a></li><li class="navelem"><a class="el" href="../../de/d78/_m18_smoke_grenade___color_base_8c.html">M18SmokeGrenade_ColorBase.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
